<div class="card">
    <h4 class="card-header">Creare operație pentru internarea pacientulului {{patient?.name}}</h4>
    <div class="card-body">
        <form [formGroup]="createUndergoForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="procedure">Operație</label>
                <select formControlName="procedure" id="procedure" class="form-control" (change)="updateProcedureId($event.target.value)">
                    <option *ngFor='let procedure of procedures' value="{{procedure.id}}">{{procedure.name}} - {{procedure.cost}}</option>
                </select>
                <div *ngIf="fields.procedure.touched && fields.procedure.invalid" class="alert alert-danger">
                    <div *ngIf="fields.procedure.errors!.required">Operația este necesară.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!createUndergoForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Creare
            </button>
        </form>
    </div>
</div>
